aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2016-08-25 15:20:01 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2016-08-25 15:20:15 +0000
commit7fea3245778f8d67f1229cd9a223350c49fcf3ff (patch)
tree2ebef61c32671eae0920622ef9e3fe8c3c514aec
parentf0fbaa2e000bd48e1409230771036fd86e4c025a (diff)
downloadaports-7fea3245778f8d67f1229cd9a223350c49fcf3ff.tar.gz
aports-7fea3245778f8d67f1229cd9a223350c49fcf3ff.tar.bz2
aports-7fea3245778f8d67f1229cd9a223350c49fcf3ff.tar.xz
community/perl-*: moved from testing
community/perl-file-find-rule community/perl-number-compare community/perl-text-glob
-rw-r--r--community/perl-file-find-rule/APKBUILD41
-rw-r--r--community/perl-number-compare/APKBUILD41
-rw-r--r--community/perl-text-glob/APKBUILD41
3 files changed, 123 insertions, 0 deletions
diff --git a/community/perl-file-find-rule/APKBUILD b/community/perl-file-find-rule/APKBUILD
new file mode 100644
index 0000000000..808713c076
--- /dev/null
+++ b/community/perl-file-find-rule/APKBUILD
@@ -0,0 +1,41 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Francesco Colista <fcolista@alpinelinux.org>
+# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
+pkgname=perl-file-find-rule
+_pkgreal=File-Find-Rule
+pkgver=0.34
+pkgrel=0
+pkgdesc="unknown"
+url="http://search.cpan.org/dist/File-Find-Rule/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends="perl-text-glob perl-number-compare"
+cpanmakedepends=" "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/R/RC/RCLAMP/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+ cd "$_builddir"
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ make && make test
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="a7aa9ad4d8ee87b2a77b8e3722768712 File-Find-Rule-0.34.tar.gz"
+sha256sums="7e6f16cc33eb1f29ff25bee51d513f4b8a84947bbfa18edb2d3cc40a2d64cafe File-Find-Rule-0.34.tar.gz"
+sha512sums="97328a86578942d214f7ac530cc88fc84dc7ef2018db06b8c0c58907a4045e90c9c97d1848ed4f16838bd8ca591aca4fa9f24649c81fd8dfe9efe7a2f9f2722c File-Find-Rule-0.34.tar.gz"
diff --git a/community/perl-number-compare/APKBUILD b/community/perl-number-compare/APKBUILD
new file mode 100644
index 0000000000..5da1cab633
--- /dev/null
+++ b/community/perl-number-compare/APKBUILD
@@ -0,0 +1,41 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Francesco Colista <fcolista@alpinelinux.org>
+# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
+pkgname=perl-number-compare
+_pkgreal=Number-Compare
+pkgver=0.03
+pkgrel=0
+pkgdesc="unknown"
+url="http://search.cpan.org/dist/Number-Compare/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends=""
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/R/RC/RCLAMP/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+ cd "$_builddir"
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ make && make test
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="ded4085a8fc96328742785574ca65208 Number-Compare-0.03.tar.gz"
+sha256sums="83293737e803b43112830443fb5208ec5208a2e6ea512ed54ef8e4dd2b880827 Number-Compare-0.03.tar.gz"
+sha512sums="fc7efb0177bcb84142619b7d8c0252f4548e547650ddbe9cfafaba97b8ae791c20fbffa6f8b01449b9dd217d9914f94bfeaff57cdfdc2c11e2a1456992bd9893 Number-Compare-0.03.tar.gz"
diff --git a/community/perl-text-glob/APKBUILD b/community/perl-text-glob/APKBUILD
new file mode 100644
index 0000000000..55ee7ecd58
--- /dev/null
+++ b/community/perl-text-glob/APKBUILD
@@ -0,0 +1,41 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Francesco Colista <francesco.colista@gmail.com>
+# Maintainer: Francesco Colista <francesco.colista@gmail.com>
+pkgname=perl-text-glob
+_pkgreal=Text-Glob
+pkgver=0.09
+pkgrel=0
+pkgdesc="match globbing patterns against text"
+url="http://search.cpan.org/dist/Text-Glob/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends=" "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends perl-module-build"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/R/RC/RCLAMP/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ perl Build.PL installdirs=vendor || return 1
+}
+
+build() {
+ cd "$_builddir"
+ export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ ./Build && ./Build test
+}
+
+package() {
+ cd "$_builddir"
+ ./Build install destdir="$pkgdir" || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="1daa10e087f891c49b720a5c551a024b Text-Glob-0.09.tar.gz"
+sha256sums="a5a121da026fbc4cc8c1065cfbe76ab5110e88091f454e70ee8c23a933372753 Text-Glob-0.09.tar.gz"
+sha512sums="9b729e4ece88ad79e1b637c7f35e5e1ecae3fd7f62c408ed4f3fcac2e8e8afff32d7d805e1b0269800aada5ae609d03335d42ac54def2797d301e91fa488ae47 Text-Glob-0.09.tar.gz"